import { corsHeaders } from './corsHeaders.js';
export const corsOPTIONS = (...allowedMethods) => {
    const setCorsHeaders = async (req) => {
        if (req.response === null) {
            console.error(`[corsOPTIONS]`, `Response is null`);
            return;
        }
        req.response = {
            ...req.response,
            headers: {
                ...(req.response.headers ?? {}),
                ...corsHeaders(req.event, allowedMethods),
            },
        };
    };
    return {
        before: async (req) => {
            if (req.event.requestContext.http.method === 'OPTIONS') {
                console.debug(`[corsOPTIONS]`, `Handling OPTIONS request`);
                return {
                    statusCode: 200,
                    headers: corsHeaders(req.event, allowedMethods),
                };
            }
            return undefined;
        },
        after: setCorsHeaders,
        onError: setCorsHeaders,
    };
};
